#ifndef __TNR_MESH_SET_HXX
#define __TNR_MESH_SET_HXX

#include "TNR_MESH.hxx"
#include <string>
#include <vector>
using namespace std;


class TNR_MESH_MODEL{
private:
  vector<TNR_MESH*> _bodies;
public:
  TNR_MESH_MODEL(){}
  ~TNR_MESH_MODEL(){}
  void searchName(string name,vector<TNR_MESH*>& result)
  {
	  for(int i = 0; i < _bodies.size();i++){
		if(_bodies[i]->getName() == name)
			result.push_back(_bodies[i]);
	  }
  }
  void addMeshBody(TNR_MESH* body)
  {_bodies.push_back(body);}
  TNR_MESH* getMeshBody(int i){ return _bodies[i];}
  int getModelSize(){return _bodies.size();} 
  TNR_MESH*& operator[](int i){ return _bodies[i];} 
};




#endif
